<?xml version="1.0" encoding="UTF-8" ?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fmp="http://www.filemaker.com/fmpxmlresult"><xsl:output method="text" encoding="us-ascii" />
<!--

seedcodeVCARD.xsl

Author
	John Sindelar, john@seedcode.com
	
Version
	1.0; June 19, 2006

Description
	Strips the XML tags from the FMPXMLRESULT export making it 
	avaialble as an vcf file or vCard. Based
	on the Simple_RSS_Export by Mark Banks.

Instructions	
	Each record exported from FileMaker should be at least one 
	complete vCard record with each attribute separated by a carriage return.

		

BSD License

Copyright (c) 2006, SeedCode, LLC
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

- Redistributions of source code must retain the above copyright
  notice, this list of conditions and the following disclaimer.
   
- Redistributions in binary form must reproduce the above copyright 
  notice, this list of conditions and the following disclaimer in 
  the documentation and/or other materials provided with the 
  distribution. 

- Neither the name of the Licensor nor the names of its 
  contributors may be used to endorse or promote products derived 
  from this software without specific prior written permission.
   
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
OF THE POSSIBILITY OF SUCH DAMAGE.

-->
<xsl:template match="fmp:FMPXMLRESULT">
<xsl:for-each select="fmp:RESULTSET/fmp:ROW">
				<xsl:value-of select="fmp:COL[1]/fmp:DATA"></xsl:value-of>
</xsl:for-each>
</xsl:template></xsl:stylesheet>
